<?php 

use common\components\giro\GiroBeszedLab;
use common\components\giro\GiroBeszedFej;
use yii\helpers\Html;
use common\components\giro\GiroBeszedTetel;
use common\components\giro\GiroBeszed;
use common\components\giro\GiroDETSTAFej;

$data = iconv("utf-8","CP852","árvíztűrő tükörfúrógép");
echo $data;

echo mb_detect_encoding($data, "auto");

$fej = new GiroBeszedFej();
$fej->duplumKod = 1;
$fej->kezdemenyezoAzonosito = "A25366936T244" ;//"66658092128";
$fej->uzenetSorszam ->osszeallitasDatuma = "20160120";
$fej->uzenetSorszam->sorszam = 1;
$fej->kezdemenyezoBankszamla->szamlaszam = "5860025215371128";//"5860025215371128";
// $fej->kezdemenyezoBankszamla->bankszerv = "58600252"; //"TAKBHUHB";
$fej->ertesitesiHatarido = "";
$fej->kezdemenyezoCegNeve = "Cutler Four kft";

echo "fej<br>";
echo "'".str_replace(' ', '&nbsp;',Html::encode($fej->toString()) )."'";
echo "<br>";

$tetel = new GiroBeszedTetel();
$tetel->tetelSorszam = 1;
$tetel->terhelesiDatum = "20160122";
$tetel->osszeg = "1000";
// $tetel->kotelezettBankszamla->bankszerv = "58600252";
$tetel->kotelezettBankszamla->szamlaszam = "5860025215371128";
$tetel->ugyfelazonositoAKezdemenyezonel = 1;
$tetel->ugyfelNeve = "Schneider Roland";
$tetel->ugyfelCime = "Mosonmagyarovar, Gardonyi 31";
$tetel->szamlaTulajdonosNeve = "Schneider Roland";
$tetel->kozlemeny = "Berlet";

echo "tetel<br>";
echo "'".str_replace(' ', '&nbsp;',($tetel->toString())) ."'";
echo "<br>";


$lab = new GiroBeszedLab();

$lab->tetelekOsszerteke = 1000;
$lab->tetelekSzama=1;

echo "<br>lab<br>";
echo str_replace(' ', '&nbsp;', $lab->toString() );


$content = GiroBeszed::createFileContent(1, []);
echo "'".str_replace(' ', '&nbsp;', Html::encode(GiroBeszed::createFileContent(1, [])) ."'");


$data = iconv("windows-1252","ASCII",$content);


// $filename = \Yii::$app->basePath . "/" ."giro" . rand(0,10000)."txt";
// $myfile = fopen($filename,'a');
// fwrite($myfile, $data);
// fclose($myfile);

$dfej = new GiroDETSTAFej();
$dfej->kezdemenyezoAzonosito = "A25366936T244";
$dfej->csoportosUzenetSorszam ->osszeallitasDatuma = "20160120";
$dfej->csoportosUzenetSorszam->sorszam = 1;
$dfej->detstaUzenetSorszam ->osszeallitasDatuma = "20160120";
$dfej->detstaUzenetSorszam->sorszam = 1;
$dfej->ido = "100000";
echo "dfej<br>";		
echo $dfej->toString();

echo "<br>";

$s = "01DETSTA0A25366936T244201601200001201601200001100000";
$def2 = GiroDETSTAFej::parse($s);

print_r($def2);


?>